﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
        .Item
        {
            height: 150px;
            width: 180px;
            margin: 5px;
        }
        .Item, .Item td, .Item td
        {
            border: 1px solid #ccc;
        }
        .Item .header
        {
            background-color: #F7F7F7 !important;
            color: Black;
            font-size: 10pt;
            line-height: 200%;
        }
        .page_enabled, .page_disabled
        {
            display: inline-block;
            height: 25px;
            min-width: 25px;
            line-height: 25px;
            text-align: center;
            text-decoration: none;
            border: 1px solid #ccc;
        }
        .page_enabled
        {
            background-color: #eee;
            color: #000;
        }
        .page_disabled
        {
            background-color: #6C6C6C;
            color: #fff !important;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:DataList ID="dlCustomers" runat="server" RepeatDirection="Horizontal" RepeatColumns="3">
        <ItemTemplate>
            <table cellpadding="2" cellspacing="0" class="Item">
                <tr>
                    <td class="header">
                        <b><u>
                            <%# Eval("ContactName") %></u></b>
                    </td>
                </tr>
                <tr>
                    <td class="body">
                        <b>City: </b>
                        <%# Eval("City") %><br />
                        <b>Postal Code: </b>
                        <%# Eval("PostalCode") %><br />
                        <b>Country: </b>
                        <%# Eval("Country")%><br />
                        <b>Phone: </b>
                        <%# Eval("Phone")%><br />
                        <b>Fax: </b>
                        <%# Eval("Fax")%>
                    </td>
                </tr>
            </table>
        </ItemTemplate>
    </asp:DataList>
    <div style="margin: 5px">
        <asp:Repeater ID="rptPager" runat="server">
            <ItemTemplate>
                <asp:LinkButton ID="lnkPage" runat="server" Text='<%#Eval("Text") %>' CommandArgument='<%# Eval("Value") %>'
                    CssClass='<%# If(Convert.ToBoolean(Eval("Enabled")), "page_enabled", "page_disabled")%>'
                    OnClick="Page_Changed" OnClientClick='<%# If(Not Convert.ToBoolean(Eval("Enabled")), "return false;", "") %>'></asp:LinkButton>
            </ItemTemplate>
        </asp:Repeater>
    </div>
    </form>
</body>
</html>
